Index: palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4541)
+++ palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4542)
@@ -2960,17 +2893,19 @@
 
     INTEGER(iwp) ::  flag_nr   !< number of masking flag
-
     INTEGER(iwp) ::  i         !< loop index along x-direction
     INTEGER(iwp) ::  j         !< loop index along y-direction
     INTEGER(iwp) ::  k         !< loop index along z-direction
 
+    LOGICAL ::  resorted  !< flag if output is already resorted
+
     LOGICAL, INTENT(INOUT) ::  found   !< flag if output variable is found
-    LOGICAL, INTENT(INOUT) ::  two_d !< flag parameter that indicates 2D variables (horizontal cross sections)
-    LOGICAL ::  resorted  !< flag if output is already resorted
+    LOGICAL, INTENT(INOUT) ::  two_d   !< flag parameter that indicates 2D variables
+                                       !<  (horizontal cross sections)
+
 
     REAL(wp), PARAMETER ::  fill_value = -999.0_wp  !< value for the _FillValue attribute
 
     REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do), INTENT(INOUT) ::  local_pf !< local
-       !< array to which output data is resorted to
+                                                        !< array to which output data is resorted to
 
     REAL(wp), DIMENSION(:,:,:), POINTER ::  to_be_resorted  !< points to selected output variable
@@ -2988,5 +2923,5 @@
              to_be_resorted => nc
           ELSE
-             IF ( .NOT. ALLOCATED( nc_av ) ) THEN
+             IF ( .NOT. ALLOCATED( nc_av ) )  THEN
                 ALLOCATE( nc_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 nc_av = REAL( fill_value, KIND = wp )
@@ -3000,5 +2935,5 @@
              to_be_resorted => ni
           ELSE
-             IF ( .NOT. ALLOCATED( ni_av ) ) THEN
+             IF ( .NOT. ALLOCATED( ni_av ) )  THEN
                 ALLOCATE( ni_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ni_av = REAL( fill_value, KIND = wp )
@@ -3012,5 +2947,5 @@
              to_be_resorted => nr
           ELSE
-             IF ( .NOT. ALLOCATED( nr_av ) ) THEN
+             IF ( .NOT. ALLOCATED( nr_av ) )  THEN
                 ALLOCATE( nr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 nr_av = REAL( fill_value, KIND = wp )
@@ -3043,5 +2978,5 @@
              ENDDO
           ELSE
-             IF ( .NOT. ALLOCATED( prr_av ) ) THEN
+             IF ( .NOT. ALLOCATED( prr_av ) )  THEN
                 ALLOCATE( prr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 prr_av = REAL( fill_value, KIND = wp )
@@ -3063,5 +2998,5 @@
              to_be_resorted => qc
           ELSE
-             IF ( .NOT. ALLOCATED( qc_av ) ) THEN
+             IF ( .NOT. ALLOCATED( qc_av ) )  THEN
                 ALLOCATE( qc_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 qc_av = REAL( fill_value, KIND = wp )
@@ -3075,5 +3010,5 @@
              to_be_resorted => qi
           ELSE
-             IF ( .NOT. ALLOCATED( qi_av ) ) THEN
+             IF ( .NOT. ALLOCATED( qi_av ) )  THEN
                 ALLOCATE( qi_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 qi_av = REAL( fill_value, KIND = wp )
@@ -3087,5 +3022,5 @@
              to_be_resorted => ql
           ELSE
-             IF ( .NOT. ALLOCATED( ql_av ) ) THEN
+             IF ( .NOT. ALLOCATED( ql_av ) )  THEN
                 ALLOCATE( ql_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ql_av = REAL( fill_value, KIND = wp )
@@ -3099,5 +3034,5 @@
              to_be_resorted => qr
           ELSE
-             IF ( .NOT. ALLOCATED( qr_av ) ) THEN
+             IF ( .NOT. ALLOCATED( qr_av ) )  THEN
                 ALLOCATE( qr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 qr_av = REAL( fill_value, KIND = wp )
@@ -3117,9 +3052,9 @@
           DO  j = nys, nyn
              DO  k = nzb_do, nzt_do
-                local_pf(i,j,k) = MERGE( &
-                                     to_be_resorted(k,j,i),                    &
-                                     REAL( fill_value, KIND = wp ),            &
-                                     BTEST( wall_flags_total_0(k,j,i), flag_nr )     &
-                                  )
+                local_pf(i,j,k) = MERGE(                                                           &
+                                         to_be_resorted(k,j,i),                                    &
+                                         REAL( fill_value, KIND = wp ),                            &
+                                         BTEST( wall_flags_total_0(k,j,i), flag_nr )               &
+                                       )
              ENDDO
           ENDDO
@@ -3130,9 +3065,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Define 3D output variables.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bcm_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
 
@@ -3142,21 +3077,22 @@
     CHARACTER (LEN=*), INTENT(IN) ::  variable   !< name of variable
 
-    INTEGER(iwp), INTENT(IN) ::  av        !< flag for (non-)average output
-    INTEGER(iwp), INTENT(IN) ::  nzb_do    !< lower limit of the data output (usually 0)
-    INTEGER(iwp), INTENT(IN) ::  nzt_do    !< vertical upper limit of the data output (usually nz_do3d)
+    INTEGER(iwp), INTENT(IN) ::  av       !< flag for (non-)average output
+    INTEGER(iwp), INTENT(IN) ::  nzb_do   !< lower limit of the data output (usually 0)
+    INTEGER(iwp), INTENT(IN) ::  nzt_do   !< vertical upper limit of the data output
+                                          !< (usually nz_do3d)
 
     INTEGER(iwp) ::  flag_nr   !< number of masking flag
-
     INTEGER(iwp) ::  i         !< loop index along x-direction
     INTEGER(iwp) ::  j         !< loop index along y-direction
     INTEGER(iwp) ::  k         !< loop index along z-direction
 
+    LOGICAL      ::  resorted  !< flag if output is already resorted
+
     LOGICAL, INTENT(INOUT) ::  found     !< flag if output variable is found
-    LOGICAL ::  resorted  !< flag if output is already resorted
 
     REAL(wp) ::  fill_value = -999.0_wp  !< value for the _FillValue attribute
 
     REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do), INTENT(INOUT) ::  local_pf   !< local
-       !< array to which output data is resorted to
+                                                        !< array to which output data is resorted to
 
     REAL(wp), DIMENSION(:,:,:), POINTER ::  to_be_resorted  !< points to selected output variable
@@ -3185,5 +3121,5 @@
              to_be_resorted => ni
           ELSE
-             IF ( .NOT. ALLOCATED( ni_av ) ) THEN
+             IF ( .NOT. ALLOCATED( ni_av ) )  THEN
                 ALLOCATE( ni_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ni_av = REAL( fill_value, KIND = wp )
@@ -3196,5 +3132,5 @@
              to_be_resorted => nr
           ELSE
-             IF ( .NOT. ALLOCATED( nr_av ) ) THEN
+             IF ( .NOT. ALLOCATED( nr_av ) )  THEN
                 ALLOCATE( nr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 nr_av = REAL( fill_value, KIND = wp )
@@ -3213,5 +3149,5 @@
              ENDDO
           ELSE
-             IF ( .NOT. ALLOCATED( prr_av ) ) THEN
+             IF ( .NOT. ALLOCATED( prr_av ) )  THEN
                 ALLOCATE( prr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 prr_av = REAL( fill_value, KIND = wp )
@@ -3231,5 +3167,5 @@
              to_be_resorted => qc
           ELSE
-             IF ( .NOT. ALLOCATED( qc_av ) ) THEN
+             IF ( .NOT. ALLOCATED( qc_av ) )  THEN
                 ALLOCATE( qc_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 qc_av = REAL( fill_value, KIND = wp )
@@ -3242,5 +3178,5 @@
              to_be_resorted => qi
           ELSE
-             IF ( .NOT. ALLOCATED( qi_av ) ) THEN
+             IF ( .NOT. ALLOCATED( qi_av ) )  THEN
                 ALLOCATE( qi_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 qi_av = REAL( fill_value, KIND = wp )
@@ -3253,5 +3189,5 @@
              to_be_resorted => ql
           ELSE
-             IF ( .NOT. ALLOCATED( ql_av ) ) THEN
+             IF ( .NOT. ALLOCATED( ql_av ) )  THEN
                 ALLOCATE( ql_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ql_av = REAL( fill_value, KIND = wp )
@@ -3264,5 +3200,5 @@
              to_be_resorted => qr
           ELSE
-             IF ( .NOT. ALLOCATED( qr_av ) ) THEN
+             IF ( .NOT. ALLOCATED( qr_av ) )  THEN
                 ALLOCATE( qr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 qr_av = REAL( fill_value, KIND = wp )
@@ -3281,9 +3217,9 @@
           DO  j = nys, nyn
              DO  k = nzb_do, nzt_do
-                local_pf(i,j,k) = MERGE(                                       &
-                                     to_be_resorted(k,j,i),                    &
-                                     REAL( fill_value, KIND = wp ),            &
-                                     BTEST( wall_flags_total_0(k,j,i), flag_nr )     &
-                                  )
+                local_pf(i,j,k) = MERGE(                                                           &
+                                     to_be_resorted(k,j,i),                                        &
+                                     REAL( fill_value, KIND = wp ),                                &
+                                     BTEST( wall_flags_total_0(k,j,i), flag_nr )                   &
+                                       )
              ENDDO
           ENDDO
@@ -3294,13 +3230,13 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific global restart data (Fortran binary format).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_rrd_global_ftn( found )
 
 
-       USE control_parameters,                                                 &
+       USE control_parameters,                                                                     &
            ONLY: length, restart_string
 
@@ -3379,9 +3315,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific global restart data (MPI-IO).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_rrd_global_mpi
 
@@ -3410,12 +3346,11 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (Fortran binary format).
-!------------------------------------------------------------------------------!
-    SUBROUTINE bcm_rrd_local_ftn( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,          &
-                                  nxr_on_file, nynf, nync, nyn_on_file, nysf,      &
-                                  nysc, nys_on_file, tmp_2d, tmp_3d, found )
+!--------------------------------------------------------------------------------------------------!
+    SUBROUTINE bcm_rrd_local_ftn( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc, nxr_on_file, nynf, nync, &
+                                  nyn_on_file, nysf, nysc, nys_on_file, tmp_2d, tmp_3d, found )
 
 
@@ -3446,4 +3381,5 @@
 
        REAL(wp), DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_2d   !<
+
        REAL(wp), DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d   !<
 
@@ -3455,5 +3391,5 @@
           CASE ( 'nc' )
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             nc(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =             &
+             nc(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                       &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -3463,10 +3399,10 @@
              ENDIF
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             nc_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =          &
+             nc_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                    &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
           CASE ( 'ni' )
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             ni(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =             &
+             ni(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                       &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -3476,10 +3412,10 @@
              ENDIF
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             ni_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =          &
+             ni_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                    &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
           CASE ( 'nr' )
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             nr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =             &
+             nr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                       &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -3489,12 +3425,11 @@
              ENDIF
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             nr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =          &
+             nr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                    &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
           CASE ( 'precipitation_amount' )
              IF ( k == 1 )  READ ( 13 )  tmp_2d
-             precipitation_amount(nysc-nbgp:nync+nbgp,                   &
-                                  nxlc-nbgp:nxrc+nbgp)  =                &
-                   tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+             precipitation_amount(nysc-nbgp:nync+nbgp, nxlc-nbgp:nxrc+nbgp) =                      &
+                tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
           CASE ( 'prr' )
@@ -3503,5 +3438,5 @@
              ENDIF
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             prr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =            &
+             prr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                      &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -3511,15 +3446,15 @@
              ENDIF
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             prr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =         &
+             prr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                   &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
           CASE ( 'qc' )
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             qc(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =             &
+             qc(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                       &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
           CASE ( 'qi' )
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             qi(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =             &
+             qi(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                       &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -3529,5 +3464,5 @@
              ENDIF
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             qi_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =          &
+             qi_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                    &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -3537,10 +3472,10 @@
              ENDIF
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             qc_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =          &
+             qc_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                    &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
           CASE ( 'ql' )
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             ql(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =             &
+             ql(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                       &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -3550,10 +3485,10 @@
              ENDIF
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             ql_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =          &
+             ql_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                    &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
           CASE ( 'qr' )
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             qr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =             &
+             qr(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                       &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -3563,5 +3498,5 @@
              ENDIF
              IF ( k == 1 )  READ ( 13 )  tmp_3d
-             qr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =          &
+             qr_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                                    &
                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 !
@@ -3576,9 +3511,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (MPI-IO).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_rrd_local_mpi
 
@@ -3678,9 +3613,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> This routine writes the respective restart data for the bulk cloud module.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_wrd_global
 
@@ -3745,5 +3680,5 @@
           WRITE ( 14 )  ice_crystal_sedimentation
 
-       ELSEIF ( restart_data_format_output(1:3) == 'mpi' )  THEN
+       ELSEIF ( TRIM( restart_data_format_output(1:3) ) == 'mpi' )  THEN
 
           CALL wrd_mpi_io( 'c_sedimentation', c_sedimentation )
@@ -3771,9 +3706,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> This routine writes the respective restart data for the bulk cloud module.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_wrd_local
 
@@ -3868,5 +3803,5 @@
           ENDIF
 
-       ELSEIF ( restart_data_format_output(1:3) == 'mpi' )  THEN
+       ELSEIF ( TRIM( restart_data_format_output(1:3) ) == 'mpi' )  THEN
 
           IF ( ALLOCATED( prr ) )  CALL wrd_mpi_io( 'prr', prr )
@@ -3900,11 +3835,10 @@
     END SUBROUTINE bcm_wrd_local
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Adjust number of raindrops to avoid nonlinear effects in sedimentation and
-!> evaporation of rain drops due to too small or too big weights
-!> of rain drops (Stevens and Seifert, 2008).
-!------------------------------------------------------------------------------!
+!> Adjust number of raindrops to avoid nonlinear effects in sedimentation and evaporation of rain
+!> drops due to too small or too big weights of rain drops (Stevens and Seifert, 2008).
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE adjust_cloud
 
@@ -3938,5 +3872,5 @@
                 ENDIF
 
-                IF ( microphysics_morrison ) THEN
+                IF ( microphysics_morrison )  THEN
                    IF ( qc(k,j,i) <= eps_sb )  THEN
                       qc(k,j,i) = 0.0_wp
@@ -3957,13 +3891,12 @@
     END SUBROUTINE adjust_cloud
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Adjust number of raindrops to avoid nonlinear effects in
-!> sedimentation and evaporation of rain drops due to too small or
-!> too big weights of rain drops (Stevens and Seifert, 2008).
-!> The same procedure is applied to cloud droplets if they are determined
-!> prognostically. Call for grid point i,j
-!------------------------------------------------------------------------------!
+!> Adjust number of raindrops to avoid nonlinear effects in sedimentation and evaporation of rain
+!> drops due to too small or too big weights of rain drops (Stevens and Seifert, 2008).
+!> The same procedure is applied to cloud droplets if they are determined prognostically. Call for
+!> grid point i,j
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE adjust_cloud_ij( i, j )
 
@@ -3981,5 +3914,5 @@
           flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
-          IF ( .NOT.  microphysics_morrison_no_rain )  THEN
+          IF ( .NOT. microphysics_morrison_no_rain )  THEN
              IF ( qr(k,j,i) <= eps_sb )  THEN
                 qr(k,j,i) = 0.0_wp
@@ -3987,7 +3920,7 @@
              ELSE
 !
-!--             Adjust number of raindrops to avoid nonlinear effects in
-!--             sedimentation and evaporation of rain drops due to too small or
-!--             too big weights of rain drops (Stevens and Seifert, 2008).
+!--             Adjust number of raindrops to avoid nonlinear effects in sedimentation and
+!--             evaporation of rain drops due to too small or too big weights of rain drops
+!--            (Stevens and Seifert, 2008).
                 IF ( nr(k,j,i) * xrmin > qr(k,j,i) * hyrho(k) )  THEN
                    nr(k,j,i) = qr(k,j,i) * hyrho(k) / xrmin * flag
@@ -3998,5 +3931,5 @@
           ENDIF
 
-          IF ( microphysics_morrison ) THEN
+          IF ( microphysics_morrison )  THEN
              IF ( qc(k,j,i) <= eps_sb )  THEN
                 qc(k,j,i) = 0.0_wp
@@ -4013,11 +3946,10 @@
     END SUBROUTINE adjust_cloud_ij
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Adjust number of ice crystal to avoid nonlinear effects in sedimentation and
-!> evaporation of ice crytals due to too small or too big weights
-!> of ice crytals (Stevens and Seifert, 2008).
-!------------------------------------------------------------------------------!
+!> Adjust number of ice crystal to avoid nonlinear effects in sedimentation and evaporation of ice
+!> crytals due to too small or too big weights of ice crytals (Stevens and Seifert, 2008).
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE adjust_ice
 
@@ -4054,13 +3986,12 @@
     END SUBROUTINE adjust_ice
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Adjust number of of ice crystal to avoid nonlinear effects in
-!> sedimentation and evaporation of ice crystals due to too small or
-!> too big weights of ice crytals (Stevens and Seifert, 2008).
-!> The same procedure is applied to cloud droplets if they are determined
-!> prognostically. Call for grid point i,j
-!------------------------------------------------------------------------------!
+!> Adjust number of of ice crystal to avoid nonlinear effects in sedimentation and evaporation of
+!> ice crystals due to too small or too big weights of ice crytals (Stevens and Seifert, 2008).
+!> The same procedure is applied to cloud droplets if they are determined prognostically. Call for
+!> grid point i,j
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE adjust_ice_ij( i, j )
 
@@ -4090,10 +4021,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Calculate number of activated condensation nucleii after simple activation
 !> scheme of Twomey, 1959.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE activation
 
@@ -4108,4 +4039,5 @@
        REAL(wp)     ::  beta_act          !<
        REAL(wp)     ::  bfactor           !<
+       REAL(wp)     ::  flag              !< flag to indicate first grid level above
        REAL(wp)     ::  k_act             !<
        REAL(wp)     ::  n_act             !<
@@ -4116,5 +4048,4 @@
        REAL(wp)     ::  sigma_act         !<
 
-       REAL(wp) ::  flag                  !< flag to indicate first grid level above
 
        CALL cpu_log( log_point_s(65), 'activation', 'start' )
@@ -4131,11 +4062,10 @@
                 CALL supersaturation ( i, j, k )
 !
-!--             Prescribe parameters for activation
-!--             (see: Bott + Trautmann, 2002, Atm. Res., 64)
+!--             Prescribe parameters for activation (see: Bott + Trautmann, 2002, Atm. Res., 64)
                 k_act  = 0.7_wp
                 activ  = 0.0_wp
 
 
-                IF ( sat > 0.0 .AND. .NOT. curvature_solution_effects_bulk ) THEN
+                IF ( sat > 0.0  .AND.  .NOT. curvature_solution_effects_bulk )  THEN
 !
 !--                Compute the number of activated Aerosols
@@ -4143,6 +4073,5 @@
                    n_act     = na_init * sat**k_act
 !
-!--                Compute the number of cloud droplets
-!--                (see: Morrison + Grabowski, 2007, JAS, 64)
+!--                Compute the number of cloud droplets (see: Morrison + Grabowski, 2007, JAS, 64)
 !                  activ = MAX( n_act - nc(k,j,i), 0.0_wp) / dt_micro
 
@@ -4151,36 +4080,32 @@
 !--                (see: Khairoutdinov + Kogan, 2000, Mon. Wea. Rev., 128)
                    sat_max = 1.0_wp / 100.0_wp
-                   activ   = MAX( 0.0_wp, ( (na_init + nc(k,j,i) ) * MIN       &
-                      ( 1.0_wp, ( sat / sat_max )**k_act) - nc(k,j,i) ) ) /    &
-                       dt_micro
-                ELSEIF ( sat > 0.0 .AND. curvature_solution_effects_bulk ) THEN
-!
-!--                Curvature effect (afactor) with surface tension
-!--                parameterization by Straka (2009)
+                   activ   = MAX( 0.0_wp, ( (na_init + nc(k,j,i) ) *                               &
+                             MIN( 1.0_wp, ( sat / sat_max )**k_act) - nc(k,j,i) ) ) / dt_micro
+                ELSEIF ( sat > 0.0  .AND.  curvature_solution_effects_bulk )  THEN
+!
+!--                Curvature effect (afactor) with surface tension parameterization by Straka (2009)
                    sigma = 0.0761_wp - 0.000155_wp * ( t_l - 273.15_wp )
                    afactor = 2.0_wp * sigma / ( rho_l * r_v * t_l )
 !
 !--                Solute effect (bfactor)
-                   bfactor = vanthoff * molecular_weight_of_water *            &
-                       rho_s / ( molecular_weight_of_solute * rho_l )
-
-!
-!--                Prescribe power index that describes the soluble fraction
-!--                of an aerosol particle (beta) 
-!--                (see: Morrison + Grabowski, 2007, JAS, 64)
+                   bfactor = vanthoff * molecular_weight_of_water * rho_s /                        &
+                             ( molecular_weight_of_solute * rho_l )
+
+!
+!--                Prescribe power index that describes the soluble fraction of an aerosol particle
+!--                (beta) (see: Morrison + Grabowski, 2007, JAS, 64)
                    beta_act  = 0.5_wp
                    sigma_act = sigma_bulk**( 1.0_wp + beta_act )
 !
-!--                Calculate mean geometric supersaturation (s_0) with
-!--                parameterization by Khvorostyanov and Curry (2006)
-                   s_0   = dry_aerosol_radius **(- ( 1.0_wp + beta_act ) ) *    &
-                       ( 4.0_wp * afactor**3 / ( 27.0_wp * bfactor ) )**0.5_wp
-
-!
-!--                Calculate number of activated CCN as a function of
-!--                supersaturation and taking Koehler theory into account
-!--                (see: Khvorostyanov + Curry, 2006, J. Geo. Res., 111)
-                   n_ccn = ( na_init / 2.0_wp ) * ( 1.0_wp - ERF(              &
-                      LOG( s_0 / sat ) / ( SQRT(2.0_wp) * LOG(sigma_act) ) ) )
+!--                Calculate mean geometric supersaturation (s_0) with parameterization by
+!--                Khvorostyanov and Curry (2006)
+                   s_0 = dry_aerosol_radius **(- ( 1.0_wp + beta_act ) ) * ( 4.0_wp * afactor**3 / &
+                         ( 27.0_wp * bfactor ) )**0.5_wp
+
+!
+!--                Calculate number of activated CCN as a function of supersaturation and taking
+!--                Koehler theory into account (see: Khvorostyanov + Curry, 2006, J. Geo. Res., 111)
+                   n_ccn = ( na_init / 2.0_wp ) * ( 1.0_wp - ERF(                                  &
+                           LOG( s_0 / sat ) / ( SQRT(2.0_wp) * LOG(sigma_act) ) ) )
                    activ = MAX( ( n_ccn - nc(k,j,i) ) / dt_micro, 0.0_wp )
                 ENDIF
@@ -4196,10 +4121,10 @@
     END SUBROUTINE activation
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculate number of activated condensation nucleii after simple activation
-!> scheme of Twomey, 1959.
-!------------------------------------------------------------------------------!
+!> Calculate number of activated condensation nucleii after simple activation scheme of
+!> Twomey, 1959.
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE activation_ij( i, j )
 
